

stages:
  - build
  - update
  - print

build-job:
  stage: build
  script:
    - echo "BUILD_VARIABLE=value_from_build_job" >> build.env
  artifacts:
    reports:
      dotenv: build.env

update-job:
  stage: update
  script:
    - echo "$BUILD_VARIABLE" 
    - echo "Setting a new value....."
    - echo "BUILD_VARIABLE=value_from_build_job_that_has_been_updated" >> build.env
  artifacts:
    reports:
      dotenv: build.env   


print-job:
  stage: print
  script:
    - echo "$BUILD_VARIABLE" 